Get live query details
Server:
https://{kibana_url}
- GET /api/osquery/live_queries/{id}
- GET /s/{space_id}/api/osquery/live_queries/{id}
Refer to Spaces for more information.
Get the details of a live query using the query ID.
Path Parameters
-
idstringrequired -
The ID of the live query.
Responses
Indicates a successful call.
-
dataobject -
@timestampstring -
action_idstring -
agentsstring -
expirationstring -
pack_idstring -
pack_namestring -
prebuilt_packboolean -
queriesobject -
The queries with their execution status.
-
action_idstring -
agentsstring -
docsinteger -
Number of result documents.
-
ecs_mappingobject -
Map osquery results columns or static values to Elastic Common Schema (ECS) fields
-
failedinteger -
Number of failed queries.
-
idstring -
pendinginteger -
Number of pending agents.
-
querystring -
respondedinteger -
Total responded agents.
-
saved_query_idstring -
successfulinteger -
Number of successful agents.
-
user_idstring -
user_profile_uidstring
No live query with this id exists in the current space. Live queries issued from another space also return 404.
-
messagestring